Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1221536 - Review Request: nodejs-realize-package-specifier - Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.
Summary: Review Request: nodejs-realize-package-specifier - Like npm-package-arg, but ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1221183 1221528
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-05-14 10:11 UTC by Zuzana Svetlikova
Modified: 2016-07-04 23:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-04 23:27:50 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-05-14 10:11:26 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-realize-package-specifier/nodejs-realize-package-specifier.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-realize-package-specifier/nodejs-realize-package-specifier-3.0.0-1.fc21.src.rpm
Description: Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.
Fedora Account System Username: zvetlik

Comment 1 Tom Hughes 2015-06-24 19:42:29 UTC
The spec file is wrong - it is for nodejs-nodejs-npm-package-arg not nodejs-realize-package-specifier.

Comment 3 Tom Hughes 2015-06-30 18:22:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
======

[!]: Requires correct, justified where necessary.
- npm(tap) is not required at run time - use --dev to add it as devDepend

[!]: %check is present and all tests pass.
- there are four test failures

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/tom/1221536-nodejs-realize-package-
     specifier/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-realize-package-specifier-3.0.1-1.fc23.noarch.rpm
          nodejs-realize-package-specifier-3.0.1-1.fc23.src.rpm
nodejs-realize-package-specifier.noarch: W: only-non-binary-in-usr-lib
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/npm-package-arg /usr/lib/node_modules/npm-package-arg
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/dezalgo /usr/lib/node_modules/dezalgo
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/tap /usr/lib/node_modules/tap
nodejs-realize-package-specifier.src:35: W: macro-in-comment %{nodejs_fixdep}
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-realize-package-specifier.noarch: W: only-non-binary-in-usr-lib
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/npm-package-arg /usr/lib/node_modules/npm-package-arg
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/dezalgo /usr/lib/node_modules/dezalgo
nodejs-realize-package-specifier.noarch: W: dangling-symlink /usr/lib/node_modules/realize-package-specifier/node_modules/tap /usr/lib/node_modules/tap
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-realize-package-specifier (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(dezalgo)
    npm(npm-package-arg)
    npm(tap)



Provides
--------
nodejs-realize-package-specifier:
    nodejs-realize-package-specifier
    npm(realize-package-specifier)



Source checksums
----------------
http://registry.npmjs.org/realize-package-specifier/-/realize-package-specifier-3.0.1.tgz :
  CHECKSUM(SHA256) this package     : 64e29d0b6d2cad7cf040e8567e240009a2ceac12f7a6d8d8b2d60adc5fa3df0f
  CHECKSUM(SHA256) upstream package : 64e29d0b6d2cad7cf040e8567e240009a2ceac12f7a6d8d8b2d60adc5fa3df0f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1221536
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Tom Hughes 2015-12-14 16:52:28 UTC
This is needed for the npm update for F24 so could you have a look at my comments?

Comment 6 Upstream Release Monitoring 2015-12-15 17:23:20 UTC
tomh's scratch build of nodejs-realize-package-specifier-3.0.1-1.fc23.src.rpm for f24-nodejs4 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12202393

Comment 8 Tom Hughes 2015-12-15 17:34:59 UTC
I think I understand most of the test failures now... More to come shortly...

Comment 9 Upstream Release Monitoring 2015-12-15 17:41:38 UTC
tomh's scratch build of nodejs-realize-package-specifier-3.0.1-1.fc23.src.rpm for f24-nodejs4 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12202499

Comment 10 Tom Hughes 2015-12-15 18:35:25 UTC
The test failures are all down to changes in the semver and npm-package-arg modules.

I have updated npm-package-arg in the f24-nodejs4 side tag (semver was already done) and with that done, and my patch from https://github.com/npm/realize-package-specifier/pull/3 applied I have a successful scratch build with tests:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12202838

Comment 11 Tom Hughes 2015-12-15 18:49:26 UTC
With the other changes you've made this is OK now.

You'll either need to leave the tests disabled for now, or apply my patch and only build it in the side tag.

Comment 12 Gwyn Ciesla 2015-12-18 14:23:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-realize-package-specifier

Comment 13 Fedora Update System 2015-12-21 13:32:45 UTC
nodejs-realize-package-specifier-3.0.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-033df501bd

Comment 14 Fedora Update System 2015-12-21 13:32:45 UTC
nodejs-realize-package-specifier-3.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eca450247b

Comment 15 Fedora Update System 2015-12-22 15:33:43 UTC
nodejs-realize-package-specifier-3.0.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-033df501bd

Comment 16 Fedora Update System 2015-12-23 00:11:05 UTC
nodejs-realize-package-specifier-3.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eca450247b

Comment 17 Jared Smith 2016-07-04 23:27:50 UTC
Closing since this is now in F24 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.